Package com.castlabs.android.adverts

# Class AdPodData

java.lang.Object
com.castlabs.android.adverts.AdPodData

public class AdPodData extends Object
Ad Pod metadata

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `adPosition`
  The position of the ad within the pod.
  `double`
  `maxDuration`
  Returns the maximum duration of the pod in seconds.
  `double`
  `timeOffset`
  Returns the content time offset at which the current ad pod was scheduled.
  `int`
  `totalAds`
  Returns the total number of ads contained within this pod, including bumpers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdPodData()`
  Creates a new AdPodData instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### adPosition

    public int adPosition
    The position of the ad within the pod. The value returned is one-based, for example, 1 of 2, 2 of 2, etc. If the ad is not part of a pod, this will return 1.

  - ### totalAds

    public int totalAds
    Returns the total number of ads contained within this pod, including bumpers. If the ad is not part of a pod, this will return 1.

  - ### maxDuration

    public double maxDuration
    Returns the maximum duration of the pod in seconds. For unknown duration, -1 is returned.

  - ### timeOffset

    public double timeOffset
    Returns the content time offset at which the current ad pod was scheduled. For preroll pod, 0 is returned. For midrolls, the scheduled time is returned in seconds. For postroll, -1 is returned. Defaults to 0 if this ad is not part of a pod, or the pod is not part of an ad playlist.

- ## Constructor Details

  - ### AdPodData

    public AdPodData()
    Creates a new AdPodData instance.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`